#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel     3

Name:           kdiagram5
Version:        2.8.0
Release:        %mkrel %{rel}
Summary:        Powerful Qt5 libraries (KChart, KGantt) for creating business diagrams
License:        GPLv2+
Group:          Development/KDE and Qt
Url:            https://invent.kde.org/graphics/kdiagram
Source0:        https://download.kde.org/stable/kdiagram/%{version}/kdiagram-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)

%description
Powerful Qt5 libraries (KChart, KGantt) for creating business diagrams.

#---------------------------------------------

%define kchart_major 2
%define libkchart    %mklibname kchart %{kchart_major}

%package -n     %{libkchart}
Summary:        Powerful Qt5 libraries KChart for creating business diagrams
Group:          System/Libraries

%description -n %{libkchart}
Powerful Qt5 libraries KChart for creating business diagrams.

%files -n %{libkchart} -f kchart_qt.lang
%{_kf5_libdir}/libKChart.so.%{kchart_major}{,.*}

#---------------------------------------------

%define kgantt_major 2
%define libkgantt    %mklibname kgantt %{kgantt_major}

%package -n     %{libkgantt}
Summary:        Powerful Qt5 libraries KGantt for creating business diagrams
Group:          System/Libraries

%description -n %{libkgantt}
Powerful Qt5 libraries KGantt for creating business diagrams.

%files -n %{libkgantt} -f kgantt_qt.lang
%{_kf5_libdir}/libKGantt.so.%{kgantt_major}{,.*}

#---------------------------------------------

%define develname %mklibname kdiagram-qt5 -d

%package -n     %{develname}
Summary:        Development package for kdiagram Qt5
Group:          Development/KDE and Qt
Requires:       %{libkchart} = %{version}-%{release}
Requires:       %{libkgantt} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       kchart-qt5-devel = %{version}-%{release}
Provides:       kgantt-qt5-devel = %{version}-%{release}

%description -n %{develname}
Header files for development with kdiagram Qt5.
This package include KChart and KGantt header files.

%files -n %{develname}
%{_includedir}/KChart/
%{_includedir}/KGantt/
%{_includedir}/kchart_version.h
%{_includedir}/kgantt_version.h
%{_kf5_libdir}/libKChart.so
%{_kf5_libdir}/libKGantt.so
%{_kf5_libdir}/cmake/KChart/
%{_kf5_libdir}/cmake/KGantt/
%{_kf5_mkspecsdir}/qt_KChart.pri
%{_kf5_mkspecsdir}/qt_KGantt.pri

#---------------------------------------------

%prep
%autosetup -p1 -n kdiagram-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang_kf5 kchart_qt
%find_lang_kf5 kgantt_qt


%changelog
* Sun Mar 10 2024 daviddavid <daviddavid> 2.8.0-3.mga10
+ Revision: 2048932
- adapt for kdiagram5
- keep a Qt5 version of kdiagram

* Mon Apr 04 2022 umeabot <umeabot> 2.8.0-2.mga9
+ Revision: 1843476
- Mageia 9 Mass Rebuild

* Tue Jan 26 2021 daviddavid <daviddavid> 2.8.0-1.mga8
+ Revision: 1673512
- new version: 2.8.0

* Thu Dec 17 2020 umeabot <umeabot> 2.7.0-2.mga8
+ Revision: 1658684
- Rebuild for new Qt5

* Tue Apr 21 2020 daviddavid <daviddavid> 2.7.0-1.mga8
+ Revision: 1570226
- new version: 2.7.0

* Mon Apr 13 2020 daviddavid <daviddavid> 2.6.3-1.mga8
+ Revision: 1567033
- new version: 2.6.3

* Sun Mar 29 2020 daviddavid <daviddavid> 2.6.2-1.mga8
+ Revision: 1562053
- new version: 2.6.2

* Sat Feb 15 2020 umeabot <umeabot> 2.6.1-4.mga8
+ Revision: 1524668
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Mar 30 2019 umeabot <umeabot> 2.6.1-3.mga7
+ Revision: 1382314
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.6.1-2.mga7
+ Revision: 1298508
- Mageia 7 Mass Rebuild

* Thu Apr 19 2018 daviddavid <daviddavid> 2.6.1-1.mga7
+ Revision: 1220217
- new version: 2.6.1

* Mon Nov 07 2016 daviddavid <daviddavid> 2.6.0-1.mga6
+ Revision: 1065724
- update to 2.6.0 final release
- update Source URL

* Wed Apr 20 2016 daviddavid <daviddavid> 2.6.0-0.git20160128.1.mga6
+ Revision: 1003814
- initial package kdiagram

